%define is_el5  %(test "%{?dist}" = ".el5"  && echo 1 || echo 0)
%define is_el6  %(test "%{?dist}" = ".el6"  && echo 1 || echo 0)

Summary: ULN support for yum
Name: yum-plugin-ulninfo
Version: 0.2
Release: 9%{?dist}
License: GPLv2
Group: System Environment/Base
Source0: yum-plugin-ulninfo-%{version}.tgz
BuildArch:      noarch
Requires: yum-rhn-plugin

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum/pluginconf.d
cp ulninfo.conf $RPM_BUILD_ROOT%{_sysconfdir}/yum/pluginconf.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/yum-plugins
cp ulninfo.py COPYRIGHT $RPM_BUILD_ROOT%{_datadir}/yum-plugins/

%description
send uln license, notification, entitlement to yum client

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/ulninfo.conf
%{_datadir}/yum-plugins/*

%changelog
* Wed Mar 19 2014 Leon Wang <leon.w.wang@oracle.com> 0.2-9
- Add license and COPYRIGHT

* Thu Dec 12 2013 Jared Greenwald <jared.greenwald@oracle.com> 0.2-8
- do not print a message for channels without a license

* Wed Dec 11 2013 Leon Wang <leon.w.wang@oracle.com> 0.2-7
- Fix version typo

* Wed Dec 11 2013 Jared Greenwald <jared.greenwald@oracle.com> 0.2-6
- temporarily disable notification framework

* Tue Dec 10 2013 Jared Greenwald <jared.greenwald@oracle.com> 0.2-5
- remove reference to channel_blacklist

* Mon Dec 09 2013 Keshav Sharma <keshav.sharma@oracle.com> 0.2-4
- Changed build arch to noarch

* Fri Nov 22 2013 Jared Greenwald <jared.greenwald@oracle.com> 0.2-3
- Added yum-rhn-plugin requirement 

* Thu Nov 14 2013 Keshav Sharma <keshav.sharma@oracle.com> 0.2-1
- Intial version

